org.springframework.messaging

## Class MessagingException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.springframework.core.NestedRuntimeException
        - - org.springframework.messaging.MessagingException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  DestinationResolutionException, MessageConversionException, MessageDeliveryException, MessageHandlingException, MethodArgumentResolutionException, MissingSessionUserException

    public class MessagingException
    extends org.springframework.core.NestedRuntimeException

The base exception for any failures related to messaging.

Since:
  4.0
Author:
  Mark Fisher, Gary Russell
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`MessagingException(Message<?> message)`
`MessagingException(Message<?> message, String description)`
`MessagingException(Message<?> message, String description, Throwable cause)`
`MessagingException(Message<?> message, Throwable cause)`
`MessagingException(String description)`
`MessagingException(String description, Throwable cause)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Message<?>` `getFailedMessage()`
`String` `toString()`

### Methods inherited from class org.springframework.core.NestedRuntimeException

`contains, getMessage, getMostSpecificCause, getRootCause`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MessagingException

    public MessagingException(Message<?> message)

#### MessagingException

    public MessagingException(String description)

#### MessagingException

    public MessagingException(@Nullable
                              String description,
                              @Nullable
                              Throwable cause)

#### MessagingException

    public MessagingException(Message<?> message,
                              String description)

#### MessagingException

    public MessagingException(Message<?> message,
                              Throwable cause)

#### MessagingException

    public MessagingException(Message<?> message,
                              @Nullable
                              String description,
                              @Nullable
                              Throwable cause)

### Method Detail

#### getFailedMessage

    @Nullable
    public Message<?> getFailedMessage()

#### toString

    public String toString()

Overrides:
  `toString` in class `Throwable`